Package org.apache.tools.ant.types.resources.selectors

# Class None

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.selectors.ResourceSelectorContainer
org.apache.tools.ant.types.resources.selectors.None

All Implemented Interfaces:
  `Cloneable`, `ResourceSelector`

public class None extends ResourceSelectorContainer implements ResourceSelector
None ResourceSelector.

Since:
  Ant 1.7

## Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`None()`
Default constructor.
`None(ResourceSelector... r)`
Convenience constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSelected(Resource r)`
Return true if this Resource is selected.

### Methods inherited from class org.apache.tools.ant.types.resources.selectors.ResourceSelectorContainer

`add, dieOnCircularReference, getResourceSelectors, getSelectors, hasSelectors, selectorCount`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### None

public None()
Default constructor.

### None

public None(ResourceSelector... r)
Convenience constructor.

Parameters:
  `r` - the ResourceSelector[] to add.

## Method Details

### isSelected

public boolean isSelected(Resource r)
Return true if this Resource is selected.

Specified by:
  `isSelected` in interface `ResourceSelector`
Parameters:
  `r` - the Resource to check.
Returns:
  whether the Resource was selected.